[![Exampled Video](https://az743702.vo.msecnd.net/cdn/kofi3.png?v=0)](https://ko-fi.com/devyn_myers)

# MagazinePatcher

#### Better Magazine Spawning!

MagazinePatcher is an H3VR mod which assigns more magazines to compatible firearms. 

**Did You Know:** Normally, magazines and clips are assigned to firearms by hand in H3VR?

This is not ideal, as some firearms can only spawn with one or two magazines, when it ***could*** spawn with several! This mod aims to fix that, by assigning compatible magazines programatically.

## Why should you use MagazinePatcher?
- It allows modded weapons to spawn with magazines
- It adds variety to magazine drops in TNH
- It provides important datastructures which other mods can use to get compatible magazines

## Comparisons with vanilla

#### Magazines that can spawn in vanilla
![Vanilla](https://i.imgur.com/BjJHrSa.jpg)

#### Magazines that can spawn with MagazinePatcher
![Patched](https://i.imgur.com/Eb0zFme.jpg)